/// <reference types="react" />
import D3Chart from '../D3Chart';
import { ChartOpts } from '../interface';
interface WordOpts extends ChartOpts {
    labelField: string;
    valueField?: string;
}
declare class Tag {
    el: any;
    x: any;
    y: any;
    z: any;
    r: any;
    CX: any;
    CY: any;
    constructor(el: any, x: any, y: any, z: any, r: any, CX: any, CY: any);
    move(): void;
}
export default class extends D3Chart<WordOpts> {
    tags: Tag[];
    pid: number;
    EX: number;
    EY: number;
    CX: number;
    CY: number;
    angleX: number;
    angleY: number;
    colorScale: (txt: any) => string;
    build(): void;
    rotateX(): void;
    rotateY(): void;
    _loop(): void;
    _update(): void;
    update(): void;
    onClick(item: any): void;
    render(): JSX.Element;
}
export {};
